Bug 466147 - Review Request:fedora-ksplice - Script Collection for Using KSplice on Fedora Linux
Review Request:fedora-ksplice - Script Collection for Using KSplice on Fedora...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stefan Posdzich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-08 13:42 EDT by Jochen Schmitt
Modified: 2009-03-08 15:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-08 15:56:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cheekyboinc: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jochen Schmitt 2008-10-08 13:42:33 EDT
Spec URL: http://www.herr-schmitt.de/pub/fedora-ksplice/fedora-ksplice.spec
SRPM URL: http://www.herr-schmitt.de/pub/fedora-ksplice/fedora-ksplice-0.1-1.fc9.src.rpm
Description:
fedora-ksplice is a collection of shell scripts to use ksplice
in a Fedora environment.
Comment 3 Jason Tibbitts 2008-11-06 14:05:23 EST
The two included scripts, which seem to be the meat of the package, are clearly under GPLv2, yet COPYING is GPLv3.  This seems a bit confused.  Legally we're supposed to take the versioning from the licenses on the actual code, so GPLv2 is correct here.
Comment 4 Jochen Schmitt 2008-11-06 14:44:12 EST
Thank you for you comment. The COPYING file was created by the autotools, but I have noew corrected it on

svn://fedorahosted.org/fedora-ksplice/trunk

Because I have create some new enhancement/bugfixes, I will create a new release next week.
Comment 8 Stefan Posdzich 2009-02-18 16:11:07 EST
++ REVIEW ++

MUST: rpmlint output | GOOD

rpmlint fedora-ksplice-0.5-1.fc10.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

rpmlint fedora-ksplice-0.5-1.fc10.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

MUST: package must be named according to Package Naming Guidelines | GOOD

MUST: The spec file name must match the base package | GOOD

MUST: The package must meet the Packaging Guidelines | GOOD

MUST: licensed with a Fedora approved license | GOOD

License: GPLv3

MUST: License field must match the actual license | GOOD

MUST: Docs (with license) | GOOD

AUTHORS COPYING README

MUST: The spec file must be written in American English | GOOD

MUST: The spec file for the package MUST be legible | GOOD

MUST: md5sum | GOOD

src.rpm: 8b6a7bbc5a1d14bd53b62fd405056fc2  fedora-ksplice-0.5.tar.gz
upstream: 8b6a7bbc5a1d14bd53b62fd405056fc2  fedora-ksplice-0.5.tar.gz

MUST: compile and build on at least one primary architecture. | GOOD

http://koji.fedoraproject.org/koji/taskinfo?taskID=1136624

MUST: All build dependencies must be listed in BuildRequires | GOOD

MUST: not contain any duplicate files in the %files listing | GOOD

MUST: Permissions on files must be set properly | GOOD

MUST: Package is working | GOOD


APPROVED
Comment 9 Jochen Schmitt 2009-02-18 16:13:21 EST
New Package CVS Request
=======================
Package Name: fedora-ksplice
Short Description: Script Collection for Using KSplice on Fedora Linux
Owners: s4504kr
Branches: F-9 F-10
Comment 10 Kevin Fenzi 2009-02-19 15:17:47 EST
The upstream README says GPLv3 or later... shouldn't the tag in the spec be 'GPLv3+'?

cvs done.

Note You need to log in before you can comment on or make changes to this bug.